"""
CrocParty: a tiny platformer.
"""
module(
    name="crocparty",
    version="0.0",
)

bazel_dep(name="rules_python", version="0.31.0")

# Set up Python
python = use_extension("@rules_python//python/extensions:python.bzl", "python")
python.toolchain(
    python_version = "3.10",
    is_default = True,
)

pip = use_extension("@rules_python//python/extensions:pip.bzl", "pip")
pip.parse(
    hub_name = "pytools_deps",
    python_version = "3.10",
    requirements_lock = "//pytools:requirements.txt",
)
use_repo(pip, "pytools_deps")